import { Component } from '@angular/core';
import { StoreService } from '@justbe-angular/jb-store';
import { UtilService } from '../../services/util.service';
import { TokenGenHandleService } from '@justbe-ionic-angular/auth-data-handler';
import { NavController } from 'ionic-angular';
import { RestService } from '../../services/rest-service';
var basic_details_form_tpl = "\n<ion-item>\n    <ion-label floating>First Name *</ion-label>\n    <ion-input type=\"text\" [(ngModel)]=\"jbMobileAuthJson.firstName\" (ngModelChange)=\"frmChanged($event)\"></ion-input>\n</ion-item>\n<ion-item>\n    <ion-label floating>Last Name *</ion-label>\n    <ion-input type=\"text\" [(ngModel)]=\"jbMobileAuthJson.lastName\" (ngModelChange)=\"frmChanged($event)\"></ion-input>\n</ion-item>\n<ion-item no-lines text-center>\n    <ion-buttons>\n    <!--<button float-left ion-button clear color=\"primary\" (click)=\"submit()\" round>Skip</button>-->\n    <button float-right ion-button *ngIf=\"!basicDetailsSubmit\" [disabled]=\"!isValid\" color=\"primary\" (click)=\"submit()\" round>\n        <span>Submit</span>\n    </button>\n    <button *ngIf=\"basicDetailsSubmit\" float-right ion-button color=\"primary\" round>\n        <ion-spinner name=\"bubbles\" color=\"light\" item-end></ion-spinner>\n    </button>\n    </ion-buttons>\n</ion-item>\n";
var basic_details_form_css = "\n";
var BasicDetailFormComponent = (function () {
    function BasicDetailFormComponent(storeService, utilService, tokenGenNHandle, navCtrl, restService) {
        this.storeService = storeService;
        this.utilService = utilService;
        this.tokenGenNHandle = tokenGenNHandle;
        this.navCtrl = navCtrl;
        this.restService = restService;
    }
    BasicDetailFormComponent.prototype.ngOnInit = function () {
        this.jbMobileAuthJson = this.storeService.getSubstore('jb-mobile-auth-json');
    };
    BasicDetailFormComponent.prototype.frmChanged = function () {
        if (this.jbMobileAuthJson.firstName && this.jbMobileAuthJson.lastName) {
            this.isValid = true;
        }
        else {
            this.isValid = false;
        }
    };
    BasicDetailFormComponent.prototype.submit = function () {
        var _this = this;
        var oneLouveProfile = this.utilService.getProfileJson(this.isValid, this.jbMobileAuthJson);
        this.basicDetailsSubmit = true;
        this.restService.tokenGenNHandleService('JustBeProfile', oneLouveProfile, this.jbMobileAuthJson.countryCode.tel + this.jbMobileAuthJson.mobileNumber, this.jbMobileAuthJson).subscribe(function (res) {
            if (res === 200) {
                var observer_1 = _this.storeService.getSubstore('final-observer');
                _this.storeService.deleteSubStore('final-observer');
                var that_1 = _this;
                _this.navCtrl.pop().then(function (res) {
                    observer_1.next({
                        "jb-mobile-auth-json": that_1.storeService.store["jb-mobile-auth-json"],
                        "jb-auth": that_1.storeService.store["jb-auth"]
                    });
                    observer_1.complete();
                });
            }
        });
    };
    BasicDetailFormComponent.decorators = [
        { type: Component, args: [{
                    selector: 'basic-detail-form-component',
                    template: basic_details_form_tpl,
                    styles: [basic_details_form_css]
                },] },
    ];
    /** @nocollapse */
    BasicDetailFormComponent.ctorParameters = function () { return [
        { type: StoreService, },
        { type: UtilService, },
        { type: TokenGenHandleService, },
        { type: NavController, },
        { type: RestService, },
    ]; };
    return BasicDetailFormComponent;
}());
export { BasicDetailFormComponent };
//# sourceMappingURL=basic-detail-form.component.js.map