import { Component } from '@angular/core';
import { StoreService } from '@justbe-angular/jb-store';
import { JBUtilEmailModel } from '@justbe-utilities/email';
import { RestService } from '../../services/rest-service';
var email_form_component_tpl = "\n<ion-item no-lines text-wrap>\n    <h6 text-center>Verify your Email Id</h6>\n</ion-item>\n<ion-item padding>\n    <ion-label floating>Email ID</ion-label>\n    <ion-input (keyup.enter)=\"getEmailVerificationCode(true)\" [(ngModel)]=\"jbMobileAuthJson.email\" type=\"text\" (ngModelChange)=\"emailChanged($event)\"></ion-input>\n</ion-item>\n<ion-item padding style=\"font-size: 0.9em;color: red;\" *ngIf=\"errorMsg\">\n{{errorMsg}}\n</ion-item>\n<ion-item no-lines text-center>\n    <ion-buttons>\n    <button float-left ion-button clear color=\"primary\" (click)=\"skip()\" round>Skip</button>\n    <button float-right ion-button color=\"primary\" [disabled]=\"!isEmailValid\" (click)=\"getEmailVerificationCode(true)\" round>\n        <span *ngIf=\"!sendingOTP\">Get OTP</span>\n        <ion-spinner *ngIf=\"sendingOTP\" name=\"bubbles\" color=\"light\" item-end></ion-spinner>\n    </button>\n    </ion-buttons>\n</ion-item>\n";
var email_form_component_css = "\n    \n";
var EmailFormComponent = (function () {
    function EmailFormComponent(storeService, restService) {
        this.storeService = storeService;
        this.restService = restService;
    }
    EmailFormComponent.prototype.ngOnInit = function () {
        this.jbMobileAuthJson = this.storeService.getSubstore('jb-mobile-auth-json');
    };
    EmailFormComponent.prototype.skip = function () {
        this.jbMobileAuthJson.isBasicDetails = true;
        this.jbMobileAuthJson.isEmailForm = false;
    };
    EmailFormComponent.prototype.emailChanged = function (email) {
        this.isEmailValid = JBUtilEmailModel.validateEmail(email);
        this.errorMsg = '';
    };
    EmailFormComponent.prototype.getEmailVerificationCode = function () {
        var _this = this;
        this.sendingOTP = true;
        this.restService.getOtp(this.jbMobileAuthJson).subscribe(function (res) {
            if (res.id) {
                _this.jbMobileAuthJson.isEmailForm = false;
                _this.jbMobileAuthJson.isEmailOtpSubmit = true;
            }
            else {
                _this.errorMsg = 'Error sending OTP';
            }
            _this.sendingOTP = false;
        });
    };
    EmailFormComponent.decorators = [
        { type: Component, args: [{
                    selector: 'email-form-component',
                    template: email_form_component_tpl,
                    styles: [email_form_component_css]
                },] },
    ];
    /** @nocollapse */
    EmailFormComponent.ctorParameters = function () { return [
        { type: StoreService, },
        { type: RestService, },
    ]; };
    return EmailFormComponent;
}());
export { EmailFormComponent };
//# sourceMappingURL=email-form.component.js.map