import { Component } from '@angular/core';
import { StoreService } from '@justbe-angular/jb-store';
import { RestService } from '../../services/rest-service';
var email_otp_submit_component_tpl = "\n<ion-item text-wrap no-lines>\n    <ion-icon item-start  color=\"primary\" (click)=\"goBack1View()\" item-start name=\"arrow-back\"></ion-icon>\n    <div text-center>OTP sent via Email to the</div>\n    <div text-center>{{jbMobileAuthJson?.email}}</div>\n</ion-item>\n\n<ion-item text-center>\n    <ion-label floating>Enter OTP</ion-label>\n    <ion-input (keyup.enter)=\"verifyOTP()\" text-center size=\"6\" [(ngModel)]=\"OTP\" type=\"number\" (ngModelChange)=\"otpChanged($event)\"></ion-input>\n</ion-item>\n<ion-item padding style=\"font-size: 0.9em;color: red;\" *ngIf=\"errorMsg\">\n{{errorMsg}}\n</ion-item>\n\n<ion-item text-center>\n    <ion-buttons float-left>\n        <button clear adcs timeoutInMS=\"4000\" ion-button (click)=\"resendOTP()\" color=\"primary\" round>\n            <span *ngIf=\"!sendingOTP\">Resend OTP</span>\n            <ion-spinner *ngIf=\"sendingOTP\" name=\"bubbles\" color=\"primary\" item-end></ion-spinner>\n        </button>\n    </ion-buttons>\n    <ion-buttons float-right>\n        <button ion-button color=\"primary\" *ngIf=\"verifyingOTP\" round>\n            <ion-spinner name=\"bubbles\" color=\"light\" item-end></ion-spinner>\n        </button>\n        <button ion-button [disabled]=\"!isOTPValid\" (click)=\"verifyOTP()\" *ngIf=\"!verifyingOTP\" color=\"primary\" round>Submit</button>\n    </ion-buttons>\n</ion-item>\n";
var email_otp_submit_component_css = "\n";
var EmailOtpSubmitComponent = (function () {
    function EmailOtpSubmitComponent(storeService, restService) {
        this.storeService = storeService;
        this.restService = restService;
    }
    EmailOtpSubmitComponent.prototype.ngOnInit = function () {
        this.jbMobileAuthJson = this.storeService.getSubstore('jb-mobile-auth-json');
    };
    EmailOtpSubmitComponent.prototype.goBack1View = function () {
        this.jbMobileAuthJson["isEmailOtpSubmit"] = false;
        this.jbMobileAuthJson["isEmailForm"] = true;
    };
    EmailOtpSubmitComponent.prototype.resendOTP = function () {
        var _this = this;
        this.sendingOTP = true;
        this.restService.getOtp(this.jbMobileAuthJson).subscribe(function (res) {
            _this.sendingOTP = false;
        });
    };
    EmailOtpSubmitComponent.prototype.verifyOTP = function () {
        var _this = this;
        this.verifyingOTP = true;
        this.restService.loginUsingOtp(this.otp, this.jbMobileAuthJson).subscribe(function (res) {
            if (res.validOtp) {
                if (!res.accessToken) {
                    _this.jbMobileAuthJson.isBasicDetails = true;
                    _this.jbMobileAuthJson.isEmailOtpSubmit = false;
                }
            }
            else {
                _this.errorMsg = 'Invalid OTP';
            }
            _this.verifyingOTP = false;
        });
    };
    EmailOtpSubmitComponent.prototype.otpChanged = function (otp) {
        this.otp = otp;
        this.isOTPValid = this.validateOTP(otp);
        this.errorMsg = '';
    };
    EmailOtpSubmitComponent.prototype.validateOTP = function (otp) {
        var regExp = /^[0-9]{6}$/;
        var result = regExp.test(otp);
        return result;
    };
    EmailOtpSubmitComponent.decorators = [
        { type: Component, args: [{
                    selector: 'email-otp-submit-component',
                    template: email_otp_submit_component_tpl,
                    styles: [email_otp_submit_component_css]
                },] },
    ];
    /** @nocollapse */
    EmailOtpSubmitComponent.ctorParameters = function () { return [
        { type: StoreService, },
        { type: RestService, },
    ]; };
    return EmailOtpSubmitComponent;
}());
export { EmailOtpSubmitComponent };
//# sourceMappingURL=email-otp-submit.component.js.map