import { Component } from '@angular/core';
import { StoreService } from '@justbe-angular/jb-store';
import { RestService } from '../../services/rest-service';
var mobile_otp_submit_component_tpl = "\n<ion-item text-wrap no-lines>\n    <ion-icon item-start class=\"otp-back\" color=\"primary\" (click)=\"goBack1View()\" item-start name=\"arrow-back\"></ion-icon>\n    <div text-center>OTP sent via SMS to the</div>\n    <div text-center>{{jbMobileAuthJson?.countryCode?.tel}} {{jbMobileAuthJson.mobileNumber}}</div>\n</ion-item>\n\n<ion-item text-center>\n    <ion-label floating>Enter OTP</ion-label>\n    <ion-input (keyup.enter)=\"verifyOTP()\" text-center size=\"6\" [(ngModel)]=\"OTP\" type=\"number\" (ngModelChange)=\"otpChanged($event)\"></ion-input>\n</ion-item>\n<ion-item padding style=\"font-size: 0.9em;color: red;\" *ngIf=\"errorMsg\">\n    {{errorMsg}}\n  </ion-item>\n\n<ion-item text-center>\n    <ion-buttons float-left>\n        <button clear *ngIf=\"!sendingOTP\" ion-button (click)=\"resendOTP()\" color=\"primary\" round>\n            <span>Resend OTP</span>\n        </button>\n        <button clear *ngIf=\"sendingOTP\" ion-button color=\"primary\" round>\n            <ion-spinner name=\"bubbles\" color=\"primary\" item-end></ion-spinner>\n        </button>\n    </ion-buttons>\n    <ion-buttons float-right>\n        <button ion-button color=\"primary\" *ngIf=\"verifyingOTP\" round>\n            <ion-spinner name=\"bubbles\" color=\"light\" item-end></ion-spinner>\n        </button>\n        <button ion-button [disabled]=\"!isOTPValid\" (click)=\"verifyOTP()\" *ngIf=\"!verifyingOTP\" color=\"primary\" round>\n            Submit\n        </button>\n    </ion-buttons>\n</ion-item>\n";
var mobile_otp_submit_component_css = " ";
var MobileOtpSubmitComponent = (function () {
    function MobileOtpSubmitComponent(storeService, restService) {
        this.storeService = storeService;
        this.restService = restService;
    }
    MobileOtpSubmitComponent.prototype.ngOnInit = function () {
        this.jbMobileAuthJson = this.storeService.getSubstore('jb-mobile-auth-json');
    };
    MobileOtpSubmitComponent.prototype.goBack1View = function () {
        this.jbMobileAuthJson["isOtpSubmitForm"] = false;
        this.jbMobileAuthJson["isMobileNumberForm"] = true;
    };
    MobileOtpSubmitComponent.prototype.resendOTP = function () {
        var _this = this;
        this.sendingOTP = true;
        this.restService.getOtp(this.jbMobileAuthJson).subscribe(function (res) {
            _this.sendingOTP = false;
        });
    };
    MobileOtpSubmitComponent.prototype.verifyOTP = function () {
        var _this = this;
        this.verifyingOTP = true;
        this.restService.loginUsingOtp(this.otp, this.jbMobileAuthJson).subscribe(function (res) {
            if (res.validOtp) {
                if (!res.accessToken) {
                    _this.jbMobileAuthJson.isEmailForm = true;
                    _this.jbMobileAuthJson.isOtpSubmitForm = false;
                }
            }
            else {
                _this.errorMsg = 'Invalid OTP';
                _this.verifyingOTP = false;
            }
        });
    };
    MobileOtpSubmitComponent.prototype.otpChanged = function (otp) {
        this.otp = otp;
        this.isOTPValid = this.validateOTP(otp);
        this.errorMsg = '';
    };
    MobileOtpSubmitComponent.prototype.validateOTP = function (otp) {
        var regExp = /^[0-9]{6}$/;
        var result = regExp.test(otp);
        return result;
    };
    MobileOtpSubmitComponent.decorators = [
        { type: Component, args: [{
                    selector: 'mobile-otp-submit-component',
                    template: mobile_otp_submit_component_tpl,
                    styles: [mobile_otp_submit_component_css]
                },] },
    ];
    /** @nocollapse */
    MobileOtpSubmitComponent.ctorParameters = function () { return [
        { type: StoreService, },
        { type: RestService, },
    ]; };
    return MobileOtpSubmitComponent;
}());
export { MobileOtpSubmitComponent };
//# sourceMappingURL=mobile-otp-submit.component.js.map