import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IonicModule } from 'ionic-angular';
import { JBStoreModule } from '@justbe-angular/jb-store';
import { JBPouchModule } from '@justbe-angular/jb-pouch';
import { MobileNumberFormComponent } from './components/mobile-number-form/mobile-number-form.component';
import { MobileOtpSubmitComponent } from './components/mobile-otp-submit/mobile-otp-submit.component';
import { MobileNumberAuthPage } from './pages/mobile-number-auth/mobile-number-auth.page';
import { CountriesProviderService } from './services/countries-provider.service';
import { EmailFormComponent } from './components/email-form/email-form.component';
import { EmailOtpSubmitComponent } from './components/email-otp-submit/email-otp-submit.component';
import { BasicDetailFormComponent } from './components/basic-details-form/basic-detail-form.component';
import { RestService } from './services/rest-service';
import { UtilService } from './services/util.service';
import { AuthDataHandlerModule } from '@justbe-ionic-angular/auth-data-handler';
import { MobileAuthService } from './services/mobile-auth.service';
var MobileAuthModule = (function () {
    function MobileAuthModule() {
    }
    MobileAuthModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        MobileNumberFormComponent,
                        MobileOtpSubmitComponent,
                        MobileNumberAuthPage,
                        EmailFormComponent,
                        EmailOtpSubmitComponent,
                        BasicDetailFormComponent
                    ],
                    imports: [
                        CommonModule,
                        IonicModule,
                        JBStoreModule,
                        JBPouchModule,
                        AuthDataHandlerModule
                    ],
                    entryComponents: [
                        MobileNumberAuthPage
                    ],
                    providers: [
                        CountriesProviderService,
                        RestService,
                        UtilService,
                        MobileAuthService
                    ],
                    exports: [],
                },] },
    ];
    /** @nocollapse */
    MobileAuthModule.ctorParameters = function () { return []; };
    return MobileAuthModule;
}());
export { MobileAuthModule };
//# sourceMappingURL=mobile-auth.module.js.map