import { Component } from '@angular/core';
import { StoreService } from '@justbe-angular/jb-store';
import { CountriesProviderService } from '../../services/countries-provider.service';
import { NavController, NavParams } from 'ionic-angular';
var mobile_number_auth_tpl = "\n<ion-content class=\"jb-mb-num-bg-clr\">\n    <div class=\"backbutton\" (click)=\"cancel()\">Cancel</div>\n    <ion-grid no-padding>\n        <ion-row justify-content-center>\n            <ion-col col-10 text-center>\n            <img src=\"assets/imgs/1louve.png\">\n            </ion-col>\n        </ion-row>\n        <ion-row>\n            <ion-col col-12 text-center>\n            <h5 ion-text wizard-body-text class=\"light\">\n                <span padding>Login/Signup</span>\n            </h5>\n            </ion-col>\n        </ion-row>\n    </ion-grid>\n    <ion-grid>\n        <ion-row justify-content-center>\n            <ion-col col-12 col-md-8>\n                <ion-card class=\"jb-mb-num-border-radius\">\n                    <mobile-number-form *ngIf=\"jbMobileAuthJson.isMobileNumberForm\"></mobile-number-form>\n                    <mobile-otp-submit-component *ngIf=\"jbMobileAuthJson.isOtpSubmitForm\"></mobile-otp-submit-component>\n                    <email-form-component *ngIf=\"jbMobileAuthJson.isEmailForm\"></email-form-component>\n                    <email-otp-submit-component *ngIf=\"jbMobileAuthJson.isEmailOtpSubmit\"></email-otp-submit-component>\n                    <basic-detail-form-component *ngIf=\"jbMobileAuthJson.isBasicDetails\"></basic-detail-form-component>\n                </ion-card>\n            </ion-col>\n        </ion-row>\n    </ion-grid>\n</ion-content>\n";
var mobile_auth_css = "\n.backbutton{\n    position: absolute;\n    right: 5%;\n    top: 3%;\n    color: aliceblue;\n    z-index:10\n}\n";
var MobileNumberAuthPage = (function () {
    function MobileNumberAuthPage(storeService, countriesProvider, navCtrl, navParams) {
        this.storeService = storeService;
        this.countriesProvider = countriesProvider;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.jbMobileAuthJson = new Object();
    }
    MobileNumberAuthPage.prototype.ngOnInit = function () {
        var _this = this;
        var observer = this.navParams.data.observer;
        var loginOptions = this.navParams.data.loginOptions;
        this.storeService.updateSubstore('loginOptions', loginOptions);
        this.storeService.updateSubstore('final-observer', observer);
        this.storeService.getListener('jb-mobile-auth-json').subscribe(function (res) {
            _this.jbMobileAuthJson = res;
        });
        var countries = this.countriesProvider.getCountries();
        this.jbMobileAuthJson["countries"] = countries;
        this.jbMobileAuthJson["isOtpSubmitForm"] = false;
        this.jbMobileAuthJson["isMobileNumberForm"] = true;
        this.storeService.updateSubstore('jb-mobile-auth-json', this.jbMobileAuthJson);
    };
    MobileNumberAuthPage.prototype.cancel = function () {
        this.navCtrl.pop();
    };
    MobileNumberAuthPage.decorators = [
        { type: Component, args: [{
                    selector: 'mobile-number-auth-page',
                    template: mobile_number_auth_tpl,
                    styles: [mobile_auth_css]
                },] },
    ];
    /** @nocollapse */
    MobileNumberAuthPage.ctorParameters = function () { return [
        { type: StoreService, },
        { type: CountriesProviderService, },
        { type: NavController, },
        { type: NavParams, },
    ]; };
    return MobileNumberAuthPage;
}());
export { MobileNumberAuthPage };
//# sourceMappingURL=mobile-number-auth.page.js.map