import { GlobalsModel } from "../models/globals.model";
import { StoreService } from "@justbe-angular/jb-store";
import { Injectable } from "@angular/core";
import { AuthService } from "@justbe-ionic-angular/auth-data-handler";
var MobileAuthService = (function () {
    function MobileAuthService(store, authService) {
        this.store = store;
        this.authService = authService;
    }
    MobileAuthService.prototype.setConfigurations = function (globals) {
        globals = GlobalsModel.build(globals);
        this.authService.setConfigs({
            api: globals.api
        });
        this.store.updateSubstore('mobileAuthGlobals', globals);
    };
    MobileAuthService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    MobileAuthService.ctorParameters = function () { return [
        { type: StoreService, },
        { type: AuthService, },
    ]; };
    return MobileAuthService;
}());
export { MobileAuthService };
//# sourceMappingURL=mobile-auth.service.js.map