import { Injectable } from "@angular/core";
import { TokenGenHandleService, AuthService } from "@justbe-ionic-angular/auth-data-handler";
import { StoreService } from '@justbe-angular/jb-store';
import { App } from "ionic-angular";
var RestService = (function () {
    function RestService(authService, tokenGenNHandle, storeService, app) {
        this.authService = authService;
        this.tokenGenNHandle = tokenGenNHandle;
        this.storeService = storeService;
        this.app = app;
    }
    RestService.prototype.loginUsingOtp = function (otp, jbMobileAuthJson) {
        var _this = this;
        return this.authService.loginUsingOtp({
            requesteeEmail: jbMobileAuthJson.email,
            requesteeMobileNo: jbMobileAuthJson.countryCode.tel + jbMobileAuthJson.mobileNumber,
            securityCode: otp
        }).map(function (jbgenToken) {
            if (jbgenToken.accessToken) {
                _this.tokenGenNHandle.handle({
                    authType: 'JustBeProfile',
                    jbgenToken: jbgenToken
                }).subscribe(function (res) {
                    if (res === 200) {
                        var observer_1 = _this.storeService.getSubstore('final-observer');
                        _this.storeService.deleteSubStore('final-observer');
                        var nav = _this.app.getActiveNav();
                        var that_1 = _this;
                        nav.pop().then(function (res) {
                            observer_1.next({
                                "jb-mobile-auth-json": that_1.storeService.store["jb-mobile-auth-json"],
                                "jb-auth": that_1.storeService.store["jb-auth"]
                            });
                            observer_1.complete();
                        });
                    }
                }, function (err) { });
            }
            else {
                console.log("handle error here");
            }
            return jbgenToken;
        });
    };
    RestService.prototype.getOtp = function (jbMobileAuthJson) {
        return this.authService.getOtp({
            country: jbMobileAuthJson.countryCode.key2,
            mobileNo: jbMobileAuthJson.mobileNumber,
            email: jbMobileAuthJson.email
        }).map(function (res) {
            if (res.id) {
                console.log('otp got');
            }
            return res;
        });
    };
    RestService.prototype.tokenGenNHandleService = function (profileType, oneLouveProfile, userId, jbMobileAuthJson) {
        return this.tokenGenNHandle.genNHandle({
            profileType: profileType,
            oneLouveProfile: oneLouveProfile,
            userId: userId
        });
    };
    RestService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    RestService.ctorParameters = function () { return [
        { type: AuthService, },
        { type: TokenGenHandleService, },
        { type: StoreService, },
        { type: App, },
    ]; };
    return RestService;
}());
export { RestService };
//# sourceMappingURL=rest-service.js.map